44 44
chocho

Armbian for Amlogic S912

Recommended Posts

Are there  any news about mali driver for s912? I have beelink gt2 with debian-xfce installed. Mouse pointer is blinking...

glxinfo show it uses vmware driver...

Share this post


Link to post
Share on other sites
(edited)
On 3/9/2019 at 11:32 AM, buvaluy said:

Are there  any news about mali driver for s912? I have beelink gt2 with debian-xfce installed. Mouse pointer is blinking...

glxinfo show it uses vmware driver...

That is the Panfrost driver. Check these news: https://cgit.freedesktop.org/mesa/mesa/commit/?id=77fea552f69d02497fad8aa4e3a49c424c4b95c0&utm_source=anzwix

 

Someone still has to integrate the Panfrost driver, kernels drivers and an Armbian image to make the whole thing work. 

 

Edit: more news from the Panfrost front.

See: https://www.phoronix.com/scan.php?page=news_item&px=Mesa-19.1-Panfrost-Taps-DRM

 

Panfrost driver will soon work with kernel DRM driver (I expect in time for kernel 5.1 we'll have a working 3D stack for the T820 GPU in the S912).

Edited by AndrewDB
new info

Share this post


Link to post
Share on other sites

Armbian_5.76_Aml-s912_Ubuntu_bionic_default_5.0.0-rc8-g8201cd167-dirty_desktop_20190304 up and running :)

USB still flaky though

Share this post


Link to post
Share on other sites

Hello everyone,

 

I own a Alfawise H96 Pro Plus and have sucessfully installed Armbian_5.77_Aml-s912_Ubuntu_bionic_default_5.0.2_20190318 using the following tutorial:

I was able to boot without any modification and was able to install it to emmc without any problems.

However the wifi is still not working, it shows the following output:

[    8.130729] ath10k_sdio mmc2:0001:1: WARNING: ath10k SDIO support is incomplete, don't expect anything to work!
[    8.158338] ath10k_sdio mmc2:0001:1: Unsupported hardware version: 0x5020001
[    8.158353] ath10k_sdio mmc2:0001:1: could not get hw params (-22)
[    8.158466] ath10k_sdio mmc2:0001:1: could not probe fw (-22)
[    8.161542] Bluetooth: hci0: BCM: Read verbose config info failed (-56)
[    8.436796] zram: Added device: zram0

 

Does anyone has the same error? I suppose that it has something to do with the drivers compiled into the kernel...Can it be related to the dtb?

 

Many thanks in Advance,

Elias

Share this post


Link to post
Share on other sites

From the kernel message it seems you have an ath10k-based WiFi module which is unsupported. I think the message "... don't expect anything to work!" is rather self-explanatory, no? ;)

 

Simplest solution if you absolutely need wifi is a $2.70(shipped) USB wifi dongle from AliExpress, based on Realtek 8188eu chip.

Share this post


Link to post
Share on other sites
1 hour ago, Peyton said:

Stupid question how did you manage to show kernel error messages ? (or system). Thanks.

 

In a terminal Windows type:

 

dmesg

Share this post


Link to post
Share on other sites
On 3/18/2019 at 11:09 PM, Elias said:

However the wifi is still not working, it shows the following output:


[    8.130729] ath10k_sdio mmc2:0001:1: WARNING: ath10k SDIO support is incomplete, don't expect anything to work!
[    8.158338] ath10k_sdio mmc2:0001:1: Unsupported hardware version: 0x5020001
[    8.158353] ath10k_sdio mmc2:0001:1: could not get hw params (-22)
[    8.158466] ath10k_sdio mmc2:0001:1: could not probe fw (-22)
[    8.161542] Bluetooth: hci0: BCM: Read verbose config info failed (-56)
[    8.436796] zram: Added device: zram0

 

Does anyone has the same error? I suppose that it has something to do with the drivers compiled into the kernel...Can it be related to the dtb?

 

Kernel needs patching for the new version of the chip (0x5020001). Looks like there is one available, see:

 

https://gitlab.com/Codeaurora/platform_vendor_qcom-opensource_wlan_qcacld-2.0/commit/d610b2296adb5073e52a01e465b8e1ba95c46514

 

But it was never mainlined, so you'd have to patch the kernel yourself, or find out why it was never mainlined and if it was never submitted, submit a pull request to Linus and see what happens on the mailing list.

Share this post


Link to post
Share on other sites
On 7/3/2018 at 12:12 PM, pro777 said:

To obtain the hardware acceleration OpenGLES fbdev on the S912 platform, do the following:

- Download the firmware of Armbian 5.44 Ubuntu Mate with the kernel 3.14, created by balbes150.

- Burn the loaded image on the SD-card and and run Ubuntu Mate from the SD card. 

- Download the archive with the kernel 3.14 packages with the Mali driver and the archive with Mali samples and libhybris package. Install all deb packages with the 3.14 kernel from the archive. To do this, go to the unzipped folder aml-s9xx-kernel-3.14.29-with-mali-r16p0-debs, run the command: sudo dpkg -i *.deb.

- Unzip the mali-hybris-s912-packages.tgz. Copy the folder etc to the root of ROOTFS partition to set permissions for the mali and ion devices, and also for configuring ld for libhybris.

- Unzip the system.tgz and copy the contents to the root of ROOTFS partition (sudo tar xzvf system.tgz -C / )

- Unzip Mali-OpenGL-ES-Samples-Linux-Arm-Bin.tgz in the home directory.

- Reboot system.

- After reboot the system, add the armhf architecture for the system:


sudo dpkg --add-architecture armhf
sudo apt update
sudo apt install libc6:armhf libstdc++6:armhf

- Install libhybris-arm_0.1-1-opt_arm64.deb package and configure ld: sudo ldconfig.

- Everything is ready for the test, run: /opt/libhybris/bin/test_glesv2.  A picture should appear, as shown in the first screenshot.

- To run Mali OpenGLES Samples, go to the Mali-OpenGL-ES-Samples-Linux-Arm-Bin folder and start the executable files.

 - Freeze the kernel update with the armbian-config.

 

 

Hi, its real to add cryptsetup and dm-crypt modules to this system? And use install.sh with mbr from armbian > 5.55, i edit script and install but box not boot Thanks.

Share this post


Link to post
Share on other sites

Hi,

I'm a little bit lost which version I should install to my S912 box.

I would like to replace a Raspi 3 (runs Debian 9.8 with desktop) with an S912 box (H96 Pro 3GB) and I want run it headless and control through VNC and ssh.

I randomly pick Armbian_5.76_Aml-s912_Debian_stretch_default_4.20.5_desktop_20190224.img but cannot get any VNC server work on it.

Could you recommend a version (5.34 to 5.78) which can run a VNC server? And a working web browser at least? 

Share this post


Link to post
Share on other sites
51 minutes ago, pel.hu said:

but cannot get any VNC server work on it.

That is completely unrelated to Armbian. In your case, I would suggest trying an Ubuntu desktop image, it shouldn't take more than 5 minutes to get a VNC server working on it. Firefox should be working out of the box and Chrom(ium) is an extra 3-minutes install.

Share this post


Link to post
Share on other sites

I've installed Ubuntu to several machine. Following vnc server setup works every time.

 

In terminal mode:

 

Install vnc server

sudo apt-get install x11vnc

 

Create password

x11vnc -storepasswd

 

Create it as service

sudo nano /lib/systemd/system/x11vnc.service, then put following content in the file

(note: if you have GUI editor like geany, you may replace the above 'nano' to 'geany' (no quote)

 

[Unit]
Description=Start x11vnc at startup.
After=multi-user.target

[Service]
Type=simple
ExecStart=/usr/bin/x11vnc -auth guess -forever -loop -noxdamage -repeat -rfbauth /home/yourhome/.vnc/passwd -rfbport 5900 -shared

[Install]
WantedBy=multi-user.target

 

Now back to terminal mode:

sudo systemctl daemon-reload
sudo systemctl enable x11vnc.service
sudo systemctl start x11vnc.service

 

Now reboot your machine and try vnc viewer

Share this post


Link to post
Share on other sites

Thank you very much for your answer!
I have no problem to install vnc and browsers on linux environment I have problem only with this armbian release and wanted to take a shortcut and not download several dozen versions trying all of them one by one. 
So I've chosen a latest Ubuntu desktop and everything is fine now, everything working out of the box . And it doesn't call itself Rock64 anymore... :)

Share this post


Link to post
Share on other sites

Hello. Which version should I use to have wifi support?
Currently, after installing the version

Armbian_5.78_Aml-s912_Ubuntu_bionic_default_5.1.0-rc1_desktop_20190409.img.xz

and wifi does not work.

 

The patient is mecool bb2 pro (S912).

Share this post


Link to post
Share on other sites

Purchased two more Amazon sold Octocore / 32Gb emmc / 3Gb RAM / Gb NIC boxes a couple of days ago. 

 

These are T9SZ Max devices.  The reset button is inside of the AV port (PITA).

 

Less than $60 USD on Amazon now with one day shipping.

 

T95z1.thumb.jpg.22981fb22298837876454ad9df5e1a16.jpg

 

Booting in Android WLAN and LAN work fine.  USB Wireless keyboard does not work.

 

Coreelec works fine except for the USB wireless keyboard.

 

Using image:

 

Armbian_5.78_Aml-s912_Ubuntu_bionic_default_5.1.0-rc1_20190412

 

Boots fine except that the USB wireless keyboard doesn't work and it never connects to the network via DHCP.

 

Any suggestions?

 

Got it it going.  Noticed that I had to change the dtb file for ethernet to work.  USB is working fine.

 

 

Share this post


Link to post
Share on other sites

For whatever reasons here cannot get an ethernet LAN DHCP address.  I see the ethernet mac address fine.

 

Wireless works fine.

 

Should I give up and look for another device?

Share this post


Link to post
Share on other sites

Switched to an alternate Ubuntu 18.04 OS which booted up fine and works fine but doesn't have the same bells and whistles that Armbian has which I prefer.

 

Everything is long math way with this OS but it is only a server so it doesn't really matter much.

 

I did try all of the newer current releases of Armbian and they worked fine except for the Gb ethernet interface which doesn't make sense to me.

 

Run these boxes headless and prefer them to boot up running SSH with an IP versus using a monitor and keyboard.

Welcome to Fenix 0.5 Ubuntu 18.04.2 LTS Linux 4.9.40  
 _  ___               _            __     _____ __  __ ____  
| |/ / |__   __ _  __| | __ _ ___  \ \   / /_ _|  \/  |___ \
| ' /| '_ \ / _` |/ _` |/ _` / __|  \ \ / / | || |\/| | __) |
| . \| | | | (_| | (_| | (_| \__ \   \ V /  | || |  | |/ __/
|_|\_\_| |_|\__,_|\__,_|\__,_|___/    \_/  |___|_|  |_|_____|
                                                             

 * Website:        https://www.khadas.com
 * Documentation:  https://docs.khadas.com
 * Forum:          https://forum.khadas.com

Last login: Fri May  3 22:49:27 2019 from 192.168.244.231
root@HS3-ATL:~#

 

Share this post


Link to post
Share on other sites
On 5/2/2019 at 8:11 PM, Petee said:

 

Using image:

 

Armbian_5.78_Aml-s912_Ubuntu_bionic_default_5.1.0-rc1_20190412 

 

Boots fine except that the USB wireless keyboard doesn't work and it never connects to the network via DHCP.

 

 

Try with image Armbian_5.78_Aml-s912_Ubuntu_bionic_default_5.1.0-rc1_desktop_20190409.img

in this image wifi keyboard working for me.  In the latest, unfortunately, it does not work.

Share this post


Link to post
Share on other sites

Thank you Dariusz Biernat. 

 

Tried mentioned Armbian_5.78_Aml-s912_Ubuntu_bionic_default_5.1.0-rc1_desktop_20190409.img.

 

Same results.

 

Yes tried again last night with same images dated 20190409.  The Logitech wireless keyboard combo works well now.  Thinking the battery was going out on the device.  All except for the ethernet port works with both the desktop and server build.

 

Tried every server and desktop version posted and same issue with all of them relating to not getting a DHCP address.

 

It is odd cuz I tested the VIM2 build to work perfectly with the new box except that I do not get the bells and whistles from the Armbian build.  None the less have configured the box for use and rebooted it a few times and all is well long math way.

 

It is using the same VTB file for both images so do not understand. 

 

Share this post


Link to post
Share on other sites

Today tried with image:

 

Armbian_5.44_S9xxx_Ubuntu_bionic_3.14.29_server_20180601

 

I did not know that the older images were posted until reading another thread here.

 

Works perfectly. 

 ____  ___                   
/ ___|/ _ \__  ____  ____  __
\___ \ (_) \ \/ /\ \/ /\ \/ /
 ___) \__, |>  <  >  <  >  <
|____/  /_//_/\_\/_/\_\/_/\_\
                             

Welcome to ARMBIAN 5.44 user-built Ubuntu 18.04 LTS 3.14.29   
System load:   1.06 1.11 1.14      Up time:       39 min        
Memory usage:  4 % of 2733MB     IP:            192.168.244.250
CPU temp:      36°C               
Usage of /:    4% of 29G        

[ 0 security updates available, 1 updates total: apt upgrade ]
Last check: 2019-05-06 22:26

Last login: Mon May  6 22:26:24 2019

root@amlogic:~# uname -a
Linux amlogic 3.14.29 #207 SMP PREEMPT Fri Jun 1 09:27:52 MSK 2018 aarch64 aarch

 

IE: network came up right away.  It is a server and will be running headless such that a monitor will never be connected to it.

 

Will try to update this image to current kernel to see if that works?

 

Share this post


Link to post
Share on other sites

Updated to nightly build and it now shows on login:

 ____            _    ____               __   _  _   
|  _ \ ___   ___| | _|  _ \ _ __ ___    / /_ | || |  
| |_) / _ \ / __| |/ / |_) | '__/ _ \  | '_ \| || |_
|  _ < (_) | (__|   <|  __/| | | (_) | | (_) |__   _|
|_| \_\___/ \___|_|\_\_|   |_|  \___/   \___/   |_|  
                                                     

Welcome to ARMBIAN 5.84.190505 nightly Ubuntu 18.04.2 LTS 3.14.29   
System load:   1.23 1.22 1.10      Up time:       41 min        
Memory usage:  4 % of 2733MB     IP:            192.168.244.250
CPU temp:      35°C               
Usage of /:    4% of 29G        

[ 0 security updates available, 1 updates total: apt upgrade ]
Last check: 2019-05-06 19:46

[ General system configuration (beta): armbian-config ]

 

Doing an upgrade it wants to install:

 

Calculating upgrade... Done
The following packages will be upgraded:
  linux-image-rockchip64
1 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
3 not fully installed or removed.

 

Then errors out trying to install the upgrade.

 

Unpacking linux-image-rockchip64 (5.84.190505) over (5.83.190426) ...
dpkg: error processing archive /var/cache/apt/archives/linux-image-rockchip64_5.84.190505_arm64.deb (--unpack):
 unable to make backup link of './boot/System.map-4.4.178-rockchip64' before installing new version: Operation not permitted
dpkg-deb: error: paste subprocess was killed by signal (Broken pipe)
mv: cannot stat '/boot/vmlinuz-4.4.178-rockchip64': No such file or directory
Errors were encountered while processing:
 /var/cache/apt/archives/linux-image-rockchip64_5.84.190505_arm64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

 

 

 

Share this post


Link to post
Share on other sites

Gave up and went back to the VIMII image which was all configured as a server.

 

I stumbled here after installing docker and a custom docker application which you had to build to get it to work and running in to unavailble ARM64 libraries which I have never seen before. 

 

Wondering if this was because of the kernel version running.

 

Share this post


Link to post
Share on other sites

I am French, in advance sorry for my english. (and thanks google trad lol)
I bought a kvm box to use the same keyboard for my desktop pc and my box Alfawise H96Pro+ with armbian 5.78.
It works fine on my desktop pc with manjaro but the keyboard is not detecting on armbian, would anyone have any idea where it might come from?
Thank you in advance.

Share this post


Link to post
Share on other sites
On 5/7/2019 at 10:05 PM, Petee said:

Gave up and went back to the VIMII image which was all configured as a server.

 

I stumbled here after installing docker and a custom docker application which you had to build to get it to work and running in to unavailble ARM64 libraries which I have never seen before. 

 

Wondering if this was because of the kernel version running.

 

Can you tell me how to burn the firmware to t95z max?

I have a t95z max same with yours,but i failed to burn it.

1、VIM2_Ubuntu-server-bionic_Linux-4.9_arm64_EMMC_V20190320.img

2、USB_Burning_Tool_v2.1.7

3、power on with reset button pressed.

4、It failed at 2%, error code 0x10105004

 

Share this post


Link to post
Share on other sites

@jianchunchen

 

I wrote the image to an SD card, booted pressing the reset button and I was good to go.

 

Specifically it was the server version: VIMs_Ubuntu-server-bionic_Linux-4.9_arm64_SD-USB_V20190604.7z

 

I used Etcher to write the SD card on my Ubuntu 18.04 laptop.

 

The above said one T95Z Max has turned out to be a "dud".  It started to overheat a couple of weeks ago and when it is hot it doesn't work.

 

Rather than open the case (break the seals) I have returned it. 

 

The other T95Z Max is running CoreElec and doing fine.

 

The other two S912 TVBoxes have been working fine running in server mode / CoreElec and multitasking 24/7 with no problems.

I like the power button on one of the S912's.

 

Also now tinkering with the BeeLink BT3 Pro (Intel) computer.  It's not an optimal TV watching box BUT it is a great tiny Ubuntu box running Ubuntu 18.04 and W7E (Oracle VB)

 

 

 

 

 

 

 

 

Share this post


Link to post
Share on other sites
14 hours ago, Petee said:

Also now tinkering with the BeeLink BT3 Pro (Intel) computer.  It's not an optimal TV watching box BUT it is a great tiny Ubuntu box running Ubuntu 18.04 and W7E (Oracle VB) 

 

Yes, it is a "good" solution to give all sorts of freaks easy access to all your data and full control over this device.  :ph34r:

Share this post


Link to post
Share on other sites

You are making me paranoid.  ;)

 

All I do is run MS SAPI on the Windows 7 embedded.  5 voices as I collect SAPI voice fonts (multiple languages).

 

I prefer to keep the voice TTS in house versus using the Amazon Alexa for TTS (although I am tinkering with it).

Share this post


Link to post
Share on other sites

Hi all,

I've china box looks like clone of h96pro+ 2/16 ap6330 wifi. I've installed  ARMBIAN 5.88 user-built Debian GNU/Linux 10 (buster). Tried all of dtb files. Some are boot but no-wifi/bt and device becomes freezed at random time-line.  Also I got another sdcard that installed coreelec 9.2. Working well, wifi/bt are ok and no freezing. I'm suspecting dtb files not compatible with my cheap box. I'm tried coreelec's running dtb but no boot. Tried to convert with dtc tool like noob but no luck. I don't know how to use it.

 

Here is my question.

Can I convert my coreelec dtb file for my debian installed box? Or can I dump/extract dtb from my android firmware ?

 

PS : I clicked Submit Reply button no any succes message if double post occour remove one.

 

Share this post


Link to post
Share on other sites
1 hour ago, Knoxwille said:

Or can I dump/extract dtb from my android firmware ?

Android on s912 is based an on old 3.14 kernel, so it won't work with kernel 4.x.

For corelec, I don't know the kernel version they use. If it close enough to the linux kernel you want to use, it may work or it may be not to difficult to build one.

1 hour ago, Knoxwille said:

h96pro+ 2/16 ap6330 wifi

I have one (not sure of the wifi chip) and was able to boot a recent Balbes image with vim2 dtb, but ethernet and wifi were not working and I don't investigate further.

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

Loading...
44 44